﻿using UnityEngine;
using System.Collections;

public class CameraFollowPlayer : MonoBehaviour {

	public GameObject player;
	public float followspeed = 2.0f;
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		float dt = Time.deltaTime;
		float fspeed = Mathf.Min(1.0f, followspeed * dt);

		Vector3 oldPos = transform.position;
		Vector3 newPos = oldPos;
		newPos.x = player.transform.position.x;

		newPos = newPos * fspeed + oldPos * (1.0f - fspeed);

		transform.position = newPos;	
	}
}
