﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class ItemCollected : MonoBehaviour {
	PlayerStatus playerStatus;
	private Vector3 origPos;
	// Use this for initialization
	void Start () {
		playerStatus = GameObject.FindGameObjectWithTag ("Player").GetComponent<PlayerStatus> ();
		origPos = transform.position;
	}

	// Update is called once per frame
	void Update () {
		float dt = Time.deltaTime;

		float dy = Mathf.Sin(Time.time * 20.0f) * 0.2f;
		transform.position = origPos + new Vector3 (0, dy, 0);	
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		if (other.gameObject.tag == "Player")
		{
			playerStatus.addPoints(10);
			Destroy(gameObject);
		}
	}
}
