﻿using UnityEngine;
using System.Collections;

public class LevelGenerator : MonoBehaviour {
	public Transform groundElement;
	public Transform platform1Element;
	public Transform platform2Element;
	public Transform item0Element;
	public Transform item1Element;
	public Transform item2Element;
	public Transform monsterElement;
	public Transform boxElement;
	public GameObject levelEndElement;
	public int levelSize = 50;
	// Use this for initialization
	void Start () {
		for (int i = 1; i < levelSize; ++i)
		{
			float rand = Random.Range(0.0f, 1.0f);
			if(rand < 0.8)
			{
				Transform newInstance = Instantiate(groundElement);
				newInstance.Translate(new Vector3(i*10,0,0));
				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(item0Element);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(monsterElement);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(boxElement);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
			}
			rand = Random.Range(0.0f, 1.0f);
			if(rand < 0.5)
			{
				Transform newInstance = Instantiate(platform1Element);
				newInstance.Translate(new Vector3(i*10,0,0));

				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(item1Element);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(boxElement);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
			}
			rand = Random.Range(0.0f, 1.0f);
			if(rand < 0.2)
			{
				Transform newInstance = Instantiate(platform2Element);
				newInstance.Translate(new Vector3(i*10,0,0));

				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(item2Element);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
				rand = Random.Range(0.0f, 1.0f);
				if(rand < 0.3)
				{
					newInstance = Instantiate(boxElement);
					newInstance.Translate(new Vector3(i*10,0,0));
				}
			}
		}

		for (int i = levelSize; i < levelSize + 4; ++i) {
			Transform newInstance = Instantiate(groundElement);
			newInstance.Translate(new Vector3(i*10,0,0));
		}

		levelEndElement.transform.position = new Vector3((levelSize+1)*10,0,0);
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
